import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
//import { } from 'd3';
import { useData } from './useData';
import { Marks } from './Marks';
//defining the dimensions of the SVG graphic
const width = 960;
const height = 500;
//useData() in React is an local store to share data across components based on hooks
const App = () => {
  const data = useData();
//if there is no data, display 'Loading...'
  if (!data) {
    return <pre>Loading...</pre>;
  }

  
  return (
    <svg width={width} height={height}>
        <Marks data={data} width={width} height={height} />
    </svg>
  );
};
//To render a React element, first pass the DOM element to ReactDOM.createRoot(), 
	//then pass the React element to root.render()
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
