//importing React and some of the hooks from react
import React, { useState, useEffect } from 'react';
//importing json() function from D3
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl =
  'https://gist.githubusercontent.com/patrictysk/18eeed08e299ff488727f8dbaca4652f/raw/0f4996640359df70e01e6c5ca80314b4db427816/simplified_swedish_counties.json';
//the file containing the geographic information of the states in the USA in .json format
export const useData = () => {
  const [data, setData] = useState(null);
  //useData() in React is an local store to share data across components based on hooks
  console.log(data)
 //assigning the ojects to 'states' constant 
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};